Bug 110783 - bad source code
bad source code
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libcap (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-24 10:55 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-27 09:34:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2003-11-24 10:55:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:


I just tried to compile package libcap-1_10-16 from Fedora.

The compiler said

1.

cap_extint.c(94): remark #592: variable "cap_d" is used before its 
value is set

The source code is

    cap_t cap_d;
    int set, blen;
    __u32 * to = (__u32 *) &cap_d->set;




Version-Release number of selected component (if applicable):
libcap-1_10-16 

How reproducible:
Always

Steps to Reproduce:
1. by inspection
2.
3.
    

Additional info:
Comment 1 Karsten Hopp 2004-01-27 09:34:45 EST
that's more an unnecessary compiler warning than a bug in libcap.
to is set to the same memory address as cap_d->set, there doesn't need
to be anything useful in cap_d->set.
gcc-3.3.2-5 doesn't write this warning anymore.

Note You need to log in before you can comment on or make changes to this bug.